### Navigation

- next
- Swagger-PHP documentation »

# Welcome to Swagger-PHP’s documentation!

Note

This is the documentation for (older / unsupported) swagger-php v1.x
Go to the swagger-php v3.x documentation

Contents:

- Installation
  - Via Composer (Recommended)
  - Via Phar
  - Manual (Unsupported)
- Using Swagger-PHP
  - Via Command Line
  - Via PHP
- Annotations
  - Annotation Hierarchy
  - Resource
  - Api
  - Operation
  - ResponseMessage
  - Parameter
  - Model
  - Property
  - Items
- Partials
  - Defining a partial
  - Using a partial

# About Swagger-PHP

Swagger-PHP is a PHP annotations library for generating Swagger compatible JSON documentation for your API. The resulting JSON documentation may then be utilized for internal and external user friendly documentation, API portal sandbox with Swagger UI as well as client code generation with the Swagger Code Generation tooling.

### Navigation

- next
- Swagger-PHP documentation »